###################################################
### chunk number 1: preliminaries
###################################################
library("oro.nifti")
## options(niftiAuditTrail=FALSE)
options(width=85)


###################################################
### chunk number 2: niftiAuditTrail eval=FALSE
###################################################
## options(niftiAuditTrail=FALSE)


###################################################
### chunk number 3: mniLR_nifti
###################################################
mni.LR <- readNIfTI(system.file("nifti/mniLR.nii.gz", package="oro.nifti"))
mni.LR
audit.trail(mni.LR)
descrip(mni.LR)


###################################################
### chunk number 4: figure1-png
###################################################
png(filename="mniLR.png", width=400, height=400, bg="black")


###################################################
### chunk number 5: figure1-code
###################################################
image(mni.LR)


###################################################
### chunk number 6: figure1-dev.off
###################################################
dev.off()


###################################################
### chunk number 7: mniRL_nifti
###################################################
mni.RL <- readNIfTI(system.file("nifti/mniRL.nii.gz", package="oro.nifti"))
mni.RL


###################################################
### chunk number 8: figure2-png
###################################################
png(filename="mniRL.png", width=400, height=400, bg="black")


###################################################
### chunk number 9: figure2-code
###################################################
image(mni.RL)


###################################################
### chunk number 10: figure2-dev.off
###################################################
dev.off()


###################################################
### chunk number 11: filtered_func_data
###################################################
ffd <- readNIfTI(system.file("nifti/ffd.nii.gz", package="oro.nifti"))
ffd


###################################################
### chunk number 12: figure3-png
###################################################
png(filename="ffd.png", width=400, height=400, bg="black")


###################################################
### chunk number 13: figure3-code
###################################################
image(ffd)


###################################################
### chunk number 14: figure3-dev.off
###################################################
dev.off()


###################################################
### chunk number 15: figure3b-png
###################################################
png(filename="ffd_orthographic.png", width=400, height=400, bg="black")


###################################################
### chunk number 16: figure3b-code
###################################################
orthographic(ffd)


###################################################
### chunk number 17: figure3b-dev.off
###################################################
dev.off()


###################################################
### chunk number 18: zstat1
###################################################
zstat1 <- readNIfTI(system.file("nifti/zstat1.nii.gz", package="oro.nifti"))
zstat1


###################################################
### chunk number 19: figure4-png
###################################################
png("ffd_zstat1.png", width=400, height=400, bg="black")


###################################################
### chunk number 20: figure4-code
###################################################
overlay(ffd, ifelse(abs(zstat1) > 5, zstat1, NA), zlim.y=range(zstat1))


###################################################
### chunk number 21: figure4-dev.off
###################################################
dev.off()


